Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.server.wadl.generators.resourcedoc
Class ResourceDocAccessor

    java.lang.Object
      com.sun.jersey.server.wadl.generators.resourcedoc.ResourceDocAccessor

    public class ResourceDocAccessor

extends java.lang.Object

A class providing access to information stored in a `ResourceDocType`.
Created on: Jun 16, 2008

Version:
  $Id$
Author:
  Martin Grotzke

Constructor Summary
`ResourceDocAccessor(ResourceDocType resourceDoc)`

Method Summary
`ClassDocType` | `getClassDoc(java.lang.Class<?> resourceClass)`
`MethodDocType` | `getMethodDoc(java.lang.Class<?> resourceClass, java.lang.reflect.Method method)`
`ParamDocType` | `getParamDoc(java.lang.Class<?> resourceClass, java.lang.reflect.Method method, Parameter p)`
`RepresentationDocType` | `getRequestRepresentation(java.lang.Class<?> resourceClass, java.lang.reflect.Method method, java.lang.String mediaType)`
`ResponseDocType` | `getResponse(java.lang.Class<?> resourceClass, java.lang.reflect.Method method)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceDocAccessor

    public ResourceDocAccessor(ResourceDocType resourceDoc)

Method Detail

### getClassDoc

    public ClassDocType getClassDoc(java.lang.Class<?> resourceClass)

### getMethodDoc

    public MethodDocType getMethodDoc(java.lang.Class<?> resourceClass,
                                      java.lang.reflect.Method method)

### getParamDoc

    public ParamDocType getParamDoc(java.lang.Class<?> resourceClass,
                                    java.lang.reflect.Method method,
                                    Parameter p)

  Parameters:
    `resourceClass` -
    `method` -
    `p` -
  Returns:

### getRequestRepresentation

    public RepresentationDocType getRequestRepresentation(java.lang.Class<?> resourceClass,
                                                          java.lang.reflect.Method method,
                                                          java.lang.String mediaType)

### getResponse

    public ResponseDocType getResponse(java.lang.Class<?> resourceClass,
                                       java.lang.reflect.Method method)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.